"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDatabase = exports.Database = void 0;
const mysql_1 = __importDefault(require("mysql"));
const Cache_1 = require("../app/Cache");
class Database {
    constructor(connectionOptions) {
        this.wasConnectionSuccessful = false;
        this.tables = [];
        console.log("Connection created");
        try {
            this.mysqlConnection = mysql_1.default.createConnection(connectionOptions);
            this.mysqlConnection.connect((err) => {
                if (err)
                    throw err;
            });
            this.wasConnectionSuccessful = true;
        }
        catch (error) {
            this.mysqlConnection = null;
            console.log("While creating connection there occurred an error: " + error);
        }
    }
}
exports.Database = Database;
function createDatabase(connectionOptions) {
    const database = new Database(connectionOptions);
    if (database.wasConnectionSuccessful) {
        Cache_1.Cache.databases.set(connectionOptions.database || "", database);
        return database;
    }
    return null;
}
exports.createDatabase = createDatabase;
